Subject: [media-types] WG: Confirming consensus - polls taken at IETF 112

From: Harald Alvestrand <[email-masked]>
Date: Tue, 9 Nov 2021 16:37:58 +0100

The following opinion polls were taken at the IETF meeting of MEDIAMAN, 
which translate directly into WG decisions if confirmed on the mailing list.

The questions asked, with hand raised / hand not raised numbers:

- Should there be a process for creating a new top level type? (10:2)

- Should we adopt the haptics draft? (14:0)

- Should we adopt the suffixes draft? (10:0)

If the list agrees with the consensus answers to this question, the 
chair will:

- Start work for writing up a process on how to create a new top level type

- Instruct the "haptics" authors to republish as an IETF draft

- Instruct the "suffixes" authors to republish as an IETF draft

If you wish to support or oppose any of these decisions, please reply to 
this message explaining your position.

Harald

---

From: Yeshwant Muthusamy <[email-masked]>
Date: Tue, 9 Nov 2021 16:15:26 +0000

Hi Harald,

Thanks for chairing the session today. No opposition to the opinion polls.

I do have some (newbie) questions on logistics, since the haptics v2 draft expires next week (Nov 15, 2021):

  1.  Do I wait for the consensus to be confirmed on this mailing list before putting out the next version?
  2.  You referred to 'republish as an IETF draft' - does that mean that it is OK to let v02 expire, since there is an IETF draft coming soon (and not really v03 of the DISPATCH draft)?
  3.  I'd like to add the latest updates pertaining to MPEG ISOBMFF and the W3C haptics prose to the draft to make it current. Is that something I can do in this new IETF draft?

Please advise.

Thanks,

Yeshwant

Yeshwant Muthusamy, Ph.D. | Vice President, Standards

[email-masked] | +1 469-583-2171

www.immersion.com

330 Townsend St, Suite 234

San Francisco, California 94107

-----Original Message-----
From: media-types <[email-masked]> On Behalf Of Harald Alvestrand
Sent: Tuesday, November 9, 2021 9:38 AM
To: [email-masked]
Subject: [media-types] WG: Confirming consensus - polls taken at IETF 112

The following opinion polls were taken at the IETF meeting of MEDIAMAN, which translate directly into WG decisions if confirmed on the mailing list.

If the list agrees with the consensus answers to this question, the chair will:

If you wish to support or oppose any of these decisions, please reply to this message explaining your position.

Harald

_______________________________________________

media-types mailing list

[email-masked]<mailto:[email-masked]>

https://nam10.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fmedia-types&amp;data=04%7C01%7C%7Cd15515681b7048b04f2608d9a396f15a%7C4f05e41a59b8413aae19d5df3dfd0fb5%7C0%7C1%7C637720690972261401%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=HzqMA0OAAevLR9bQChE3ZY5NL61ADQJIs807zjiZ9pc%3D&amp;reserved=0

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 9 Nov 2021 18:10:07 +0100

>     before putting out the next version?
Yes.
>
> 1.
>
>
>  2. You referred to ‘republish as an IETF draft’ – does that mean that
>     it is OK to let v02 expire, since there is an IETF draft coming
>     soon (and not really v03 of the DISPATCH draft)?
>
When you submit the IETF draft (named 
draft-ietf-mediaman-something-something-00), you should be able to say 
on the submission form that this replaces 
draft-muthusamy-something-something. Then the old draft will 
automatically be marked obsolete in the trackers.

> 1.
>
>
>  2. I’d like to add the latest updates pertaining to MPEG ISOBMFF and
>     the W3C haptics prose to the draft to make it current. Is that
>     something I can do in this new IETF draft?
>

Good idea. Just do it.

> 1.
> The following opinion polls were taken at the IETF meeting of 
> MEDIAMAN, which translate directly into WG decisions if confirmed on 
> the mailing list.
>
> If you wish to support or oppose any of these decisions, please reply 
> to this message explaining your position.
>
> Harald
>
> [email-masked] <mailto:[email-masked]>
>
> <https://nam10.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fmedia-types&amp;data=04%7C01%7C%7Cd15515681b7048b04f2608d9a396f15a%7C4f05e41a59b8413aae19d5df3dfd0fb5%7C0%7C1%7C637720690972261401%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&amp;sdata=HzqMA0OAAevLR9bQChE3ZY5NL61ADQJIs807zjiZ9pc%3D&amp;reserved=0>
>

---

From: Chris Lilley <[email-masked]>
Date: Tue, 9 Nov 2021 21:48:35 +0200

I agree that there should be a process for creating a new top-level 
type. Rationale: I was the editor of RFC 8081 The "font" Top-Level Media 
Type.

On 2021-11-09 17:37, Harald Alvestrand wrote:
> Should there be a process for creating a new top level type

-- 
Chris Lilley
@svgeesus
Technical Director @ W3C
W3C Strategy Team, Core Web Design
W3C Architecture & Technology Team, Core Web & Media

---

From: Martin J. Dürst <[email-masked]>
Date: Wed, 10 Nov 2021 08:13:50 +0900

> - Should there be a process for creating a new top level type? (10:2)

Somewhat ambivalent. It's clear that a good process might have helped 
with the 'font' top level type, and probably also with the 'haptics' top 
level type. But I'm not sure we have an idea of what a good process 
means, and a non-optimal process might cause more problems than it may help.

Also, the most important part, the criteria for what makes sense as a 
top level type, are to a big part "I know it when I see it", but with 
the caveat that different people may 'know' things differently even if 
they see the same thing.

But I have nothing against somebody else trying to write something up 
and have it discussed; we can always abandon the effort if it doesn't 
pan out. Also, I note that Harald seems to volunteer as an author. Or 
does "Start work for writing up" just mean "start to find somebody who's 
arms could be twisted into writing up"?

So count me neutral on this one, sorry.

> - Should we adopt the haptics draft? (14:0)

Agree.

> - Should we adopt the suffixes draft? (10:0)

Agree.

Regards,   Martin.

> [email-masked]
> https://www.ietf.org/mailman/listinfo/media-types
> .

---

From: Mark Nottingham <[email-masked]>
Date: Wed, 10 Nov 2021 13:32:26 +1100

Hi Harald,

I support these actions, but one question -- just because the WG adopts these drafts, it doesn't necessarily follow that they'll be published 1:1 as RFCs, does it? I.e., it may be that the WG decides to roll them into a more general document that obsoletes or updates the current authorities.

Cheers,

> On 10 Nov 2021, at 2:37 am, Harald Alvestrand <[email-masked]> wrote:
> 

--
Mark Nottingham   https://www.mnot.net/

---

From: Harald Alvestrand <[email-masked]>
Date: Wed, 10 Nov 2021 08:42:26 +0100

> I support these actions, but one question -- just because the WG adopts these drafts, it doesn't necessarily follow that they'll be published 1:1 as RFCs, does it? I.e., it may be that the WG decid…

Absolutely.

In particular, we should think about whether the ++ draft should be an 
update to RFC 3023 (suffixes in general) rather than an add-on document.

My personal view is that -haptics- can remain standalone.

---

From: Harald Alvestrand <[email-masked]>
Date: Wed, 10 Nov 2021 09:43:24 +0100

On 11/10/21 12:13 AM, Martin J. Dürst wrote:
> with the 'font' top level type, and probably also with the 'haptics' 
> top level type. But I'm not sure we have an idea of what a good 
> process means, and a non-optimal process might cause more problems 
> than it may help.
>

Indeed. I put into the slide deck a slide on this item that said:

"If, after the WG is concluded, we have something we can point to that 
says “this is how we decide if we need a top level type”, we’ve succeeded.

Even if the text says only “there is no rule; the decider decides what 
the decider decides.”

I do think we can do slightly better than that."

> does "Start work for writing up" just mean "start to find somebody 
> who's arms could be twisted into writing up"?

It is usually a Bad Idea to have a WG chair be a document editor too, 
especially when we don't have an alternate chair who can take over 
chairing when the document is being discussed, so I would prefer "Start 
work" to mean "Find the appropriate arm to twist".

---

From: Harald Alvestrand <[email-masked]>
Date: Wed, 10 Nov 2021 13:08:08 +0100

I forgot to say: The call for consensus runs for one week, and ends on 
Tuesday, Nov 16, at 23:59 CET.

---

From: Ned Freed <[email-masked]>
Date: Wed, 10 Nov 2021 04:36:15 -0800 (PST)

> update to RFC 3023 (suffixes in general) rather than an add-on document.

Updating RFC 7303, or maybe splitting the specification of suffixes to
a separate document, seems like the right approach to me.

Note that RFC 6838 is a BCP. I'm more comfortable with the specification
of suffixes being in a PS.

> My personal view is that -haptics- can remain standalone.

Agreed.

				Ned

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 19 Nov 2021 16:00:26 +0100

As far as the chair can tell, the group has smooth consensus on the 3 
questions raised in the call for confirmation of consensus.

Authors, please take the actions below to republish the two drafts that 
exist - and we are still eager to have a voluteer for the "process for a 
new top level type" document!

Harald

---

From: Manu Sporny <[email-masked]>
Date: Sun, 21 Nov 2021 15:28:39 -0500

> - Instruct the "suffixes" authors to republish as an IETF draft

Done, waiting on Chairs to approve:

https://datatracker.ietf.org/submit/status/122877/4916a3d3520c5281544e5cbc2338d760/

Some questions:

1. I have gotten in touch with the previous Editor (Amy
   Guy), who has volunteered to help with the document
   as well. She's on the version above, do we need
   any other ceremony than that (and Chair approval)?

2. With whom should we coordinate the Github repo
   migration to IETF? Do we use Github issues to track
   work here? Is that process written up somewhere?

3. Does the WG prefer any particular editorial toolset?
   We are using a v2 XML file at present and are
   happy to upgrade to whatever the WG prefers.

-- manu

-- 
Manu Sporny - https://www.linkedin.com/in/manusporny/
Founder/CEO - Digital Bazaar, Inc.
News: Digital Bazaar Announces New Case Studies (2021)
https://www.digitalbazaar.com/

---

From: Harald Alvestrand <[email-masked]>
Date: Mon, 22 Nov 2021 12:47:51 +0100

>     any other ceremony than that (and Chair approval)?
The chair can approve editor changes. No problem!
>     work here? Is that process written up somewhere?
The use of github is something a WG can choose to do. I haven't read the 
latest recommendations on how to use github in a WG in detail yet; let's 
return to that once I've done so.
>     happy to upgrade to whatever the WG prefers.

I recommend sticking as closely to what the RFC Editor wants as possible 
- both XML2RFCv2, XML2RFCv3 and markdown with the toolset for producing 
XML2RFCv3 should be reasonable choices. Chiefly, this is tooling for the 
editors.

---

From: Yeshwant Muthusamy <[email-masked]>
Date: Tue, 23 Nov 2021 17:24:31 +0000

Folks,

In case you missed it, the haptics WG draft has been uploaded to Datatracker:

https://datatracker.ietf.org/doc/draft-ietf-mediaman-haptics/

Comments/questions welcome.

Thanks,

Yeshwant

www.immersion.com

-----Original Message-----
From: media-types <[email-masked]> On Behalf Of Harald Alvestrand
Sent: Friday, November 19, 2021 9:00 AM
To: [email-masked]
Subject: Re: [media-types] WG: Confirming consensus - polls taken at IETF 112

As far as the chair can tell, the group has smooth consensus on the 3 questions raised in the call for confirmation of consensus.

Authors, please take the actions below to republish the two drafts that exist - and we are still eager to have a voluteer for the "process for a new top level type" document!

Harald

> - Start work for writing up a process on how to create a new top level

> type

> https://nam10.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.

> ietf.org%2Fmailman%2Flistinfo%2Fmedia-types&amp;data=04%7C01%7C%7C3d55

> d8def4dc4742532908d9ab6d605b%7C4f05e41a59b8413aae19d5df3dfd0fb5%7C0%7C

> 1%7C637729308617240742%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJ

> QIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=bcHkO91cc

> D151bm4RvsLLVBHi4ZPrJRlegxQH5K9uUc%3D&amp;reserved=0

media-types mailing list

https://nam10.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fmedia-types&amp;data=04%7C01%7C%7C3d55d8def4dc4742532908d9ab6d605b%7C4f05e41a59b8413aae19d5df3dfd0fb5%7C0%7C1%7C637729308617250704%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=tEz4Cqi7UL8uNy%2Fa0w0HuUx2idBJed%2Bzc6iCIenXf2E%3D&amp;reserved=0